Update webhook endpoint
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: '<string>',
description: '<string>',
events: ['<string>'],
is_active: true
})
};
fetch('https://api-staging.keystoneos.xyz/v1/platforms/me/webhooks/{endpoint_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-staging.keystoneos.xyz/v1/platforms/me/webhooks/{endpoint_id}"
payload = {
"url": "<string>",
"description": "<string>",
"events": ["<string>"],
"is_active": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)curl --request PATCH \
--url https://api-staging.keystoneos.xyz/v1/platforms/me/webhooks/{endpoint_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"description": "<string>",
"events": [
"<string>"
],
"is_active": true
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"description": "<string>",
"events": [
"<string>"
],
"is_active": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Webhooks
Update webhook endpoint
PATCH
/
v1
/
platforms
/
me
/
webhooks
/
{endpoint_id}
Update webhook endpoint
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: '<string>',
description: '<string>',
events: ['<string>'],
is_active: true
})
};
fetch('https://api-staging.keystoneos.xyz/v1/platforms/me/webhooks/{endpoint_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-staging.keystoneos.xyz/v1/platforms/me/webhooks/{endpoint_id}"
payload = {
"url": "<string>",
"description": "<string>",
"events": ["<string>"],
"is_active": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)curl --request PATCH \
--url https://api-staging.keystoneos.xyz/v1/platforms/me/webhooks/{endpoint_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"description": "<string>",
"events": [
"<string>"
],
"is_active": true
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"description": "<string>",
"events": [
"<string>"
],
"is_active": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Authorizations
Auth0 JWT access token. See Authentication for details.
Path Parameters
Body
application/json